import * as React from "react";
export interface Props {
    children?: any;
}
export interface State {
}
/**
 * Base component which wraps render function in a try catch structure
 * Any child components who extends from this component will get protection when
 * Exception thrown, so protect component life cycle.
 */
declare abstract class Component<P extends Props, S extends State> extends React.Component<any, any> {
    refs: {
        [key: string]: any;
    };
    props: P;
    state: S;
    /**
     *
     * @param props
     * @param context
     */
    protected constructor(props?: P, context?: any);
    /**
     *
     * @return {JSX.Element}
     */
    render(): JSX.Element;
}
export default Component;
